Adds a 3-point circle curve to the document.
Rhino.AddCircle3Pt (arrFirst, arrSecond, arrThird)
arrStart |
Required. Array. The first point of the circle. |
arrEnd |
Required. Array. The second point of the circle. |
arrPoint |
Required. Array. The third point of the circle. |
String |
The identifier of the new object if successful. |
Null |
If not successful, or on error. |
Dim arrFirst, arrSecond, arrThird
arrFirst = Rhino.GetPoint("First point on circle")
If IsArray(arrFirst) Then
arrSecond = Rhino.GetPoint("Second point on circle")
If IsArray(arrSecond) Then
arrThird = Rhino.GetPoint("Third point on circle")
If IsArray(arrThird) Then
Rhino.AddCircle3Pt arrFirst, arrSecond, arrThird
End If
End If
End If